libzypp 17.37.10

IOStream.cc File Reference
`#include <iostream>`
`#include <boost/mpl/assert.hpp>`
`#include <boost/mpl/int.hpp>`
`#include <zypp-core/base/IOStream.h>`
`#include <zypp-core/base/String.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::iostr
| Iostream related utilities.

## Functions
std::string | zypp::iostr::getline (std::istream &str) ZYPP_API
| Read one line from stream.
int | zypp::iostr::forEachLine (std::istream &str_r, const function< bool(int, std::string)> &consume_r) ZYPP_API
| Simple lineparser: Call functor consume_r for each line.
| zypp::iostr::BOOST_MPL_ASSERT_RELATION (int(PF_LTRIM),==, int(str::L_TRIM))
| zypp::iostr::BOOST_MPL_ASSERT_RELATION (int(PF_RTRIM),==, int(str::R_TRIM))
int | zypp::iostr::simpleParseFile (std::istream &str_r, ParseFlags flags_r, function< bool(int, std::string)> consume_r) ZYPP_API
| Simple lineparser optionally trimming and skipping comments.